Merge pull request #14535 from owncloud/fix-files-external

fix files external test run and add common-tests option
This commit is contained in:
Thomas Müller 2015-03-02 00:51:38 -08:00
commit 58ec0ea734
2 changed files with 12 additions and 2 deletions

View File

@ -42,6 +42,11 @@ then runs the unit test suite from `backends/webdav.php` (because the middle par
the name of the script is `webdav`) and finally tries to call the name of the script is `webdav`) and finally tries to call
`stop-webdav-ownCloud.sh` for cleanup purposes. `stop-webdav-ownCloud.sh` for cleanup purposes.
If `common-tests` is supplied as second argument it will skip the backend specific
part completely and just run the common files_external unit tests:
./autotest-external.sh sqlite common-tests
## The more manual way of unit test execution ## The more manual way of unit test execution
If you want to debug your external storage provider, you maybe don't want to If you want to debug your external storage provider, you maybe don't want to

View File

@ -24,6 +24,7 @@ function print_syntax {
echo -e "\nExample: ./autotest.sh sqlite webdav-ownCloud" >&2 echo -e "\nExample: ./autotest.sh sqlite webdav-ownCloud" >&2
echo "will run the external suite from \"apps/files_external/tests/env/start-webdav-ownCloud.sh\"" >&2 echo "will run the external suite from \"apps/files_external/tests/env/start-webdav-ownCloud.sh\"" >&2
echo -e "\nIf no arguments are specified, all available external backends will be run with all database configs" >&2 echo -e "\nIf no arguments are specified, all available external backends will be run with all database configs" >&2
echo -e "\nIf you specify 'common-tests' as startfile it will just run the tests that are independent from the backends" >&2
} }
if ! [ -x "$PHPUNIT" ]; then if ! [ -x "$PHPUNIT" ]; then
@ -219,14 +220,18 @@ EOF
# just enable files_external # just enable files_external
php ../occ app:enable files_external php ../occ app:enable files_external
if [ -z "$NOCOVERAGE" ]; then if [ -z "$NOCOVERAGE" ]; then
#"$PHPUNIT" --configuration phpunit-autotest-external.xml --log-junit "autotest-external-results-$1.xml" --coverage-clover "autotest-external-clover-$1.xml" --coverage-html "coverage-external-html-$1" "$PHPUNIT" --configuration phpunit-autotest-external.xml --log-junit "autotest-external-results-$1.xml" --coverage-clover "autotest-external-clover-$1.xml" --coverage-html "coverage-external-html-$1"
RESULT=$? RESULT=$?
else else
echo "No coverage" echo "No coverage"
#"$PHPUNIT" --configuration phpunit-autotest-external.xml --log-junit "autotest-external-results-$1.xml" "$PHPUNIT" --configuration phpunit-autotest-external.xml --log-junit "autotest-external-results-$1.xml"
RESULT=$? RESULT=$?
fi fi
if [ -n "$2" -a "$2" == "common-tests" ]; then
return;
fi
FILES_EXTERNAL_BACKEND_PATH=../apps/files_external/tests/backends FILES_EXTERNAL_BACKEND_PATH=../apps/files_external/tests/backends
FILES_EXTERNAL_BACKEND_ENV_PATH=../apps/files_external/tests/env FILES_EXTERNAL_BACKEND_ENV_PATH=../apps/files_external/tests/env